void GetDescription(char d[])
{
   strcpy(d,"Akceptor's no softkeys");
}
int GetPriority()
{
   return 255;
}
int GetValueAfter(char str[])
{
  char val[100];
  char line[200];
  int i, l, k;
   
  GetLineByStr(str,line);
  
  l = strlen(str);
  for (i = 0, k= 0; i <= l; i++) 
  {  
    if (line[l+i] != ' ') val[k++] = line[l+i];
    else if (k) break;
  }  
  return atol(val);
}
int IsResMore176()
{
    int DigClockX;  
    DigClockX = GetValueAfter("1 574 ");
    return (DigClockX > 144);
}

void PatchSKI()
{
   if (IsResMore176())
   {
      log("This script only for 176x220 phones.");
      return;
   }
   ReplaceLineByStr("1 574 ", "1 574 135 197 174 219");
   ReplaceLineByStr("1 571 ", "1 571 1 197 134 219");
}